# Method: locations.global.metricsScopes.projects.create

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes.projects/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes.projects/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes.projects/create#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes.projects/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes.projects/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes.projects/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes.projects/create#try-it)

Adds a `MonitoredProject` with the given project ID to the specified `Metrics Scope`.

### HTTP request

`POST https://monitoring.googleapis.com/v1/{parent}/projects`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the existing `Metrics Scope` that will monitor this project. Example: `locations/global/metricsScopes/{SCOPING_PROJECT_ID_OR_NUMBER}` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/locations.global.metricsScopes.projects#MonitoredProject`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v1/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`
- `
  https://www.googleapis.com/auth/monitoring.write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `monitoring.metricsScopes.link`

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `monitoring.metricsScopes.link`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).